<#     
    ************************************************************************************************************ 
    Lscht Provisioned windows 10 Apps
        Thorsten Jarz
    v1.2
    ************************************************************************************************************ 
 #>
$ProvisionedPackage = Get-AppxProvisionedPackage -online
$title="Lschen von Provisioned Apps"

$yes = New-Object System.Management.Automation.Host.ChoiceDescription "&Yes", "App lschen."

$no = New-Object System.Management.Automation.Host.ChoiceDescription "&No",  "App beibehalten."

$options = [System.Management.Automation.Host.ChoiceDescription[]]($yes, $no)


if ($ProvisionedPackage -ne $null)


{
    ForEach ($App in $ProvisionedPackage)
    {

   
    $message = "Wollen Sie das App lschen:" +  $App.displayName

    $result = $host.ui.PromptForChoice($title, $message, $options, 0) 

    switch ($result)
    {
        0 {  Remove-AppxProvisionedPackage -online -package $App.PackageName
            Remove-AppxPackage $App.PackageName  <#Lsche fr den aktuellen Benutzer damit Sysprep geht#>
            "App gelscht:" + $App.displayName}
        1 {"App nicht gelscht:" + $App.displayName}
    }
    }
}